--[[
Name: Babble-Ore-2.2
Revision: $Rev: 29687 $
Authors(s): kagaro (sal.scotto@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Ore-2.2
SVN: http://svn.wowace.com/root/branch/Babble-2.2/Babble-Ore-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Ore-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 29687 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleOre = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

local veinSkill = {}
local veinTypes = {}

BabbleOre:RegisterTranslations("enUS", function() return {
-- Ore
	["Copper Ore"] = true,
	["Tin Ore"] = true,
	["Silver Ore"] = true,
	["Iron Ore"] = true,
	["Gold Ore"] = true,
	["Mithril Ore"] = true,
	["Dark Iron Ore"] = true,
	["Truesilver Ore"] = true,
	["Thorium Ore"] = true,
	["Elementium Ore"] = true,
	["Fel Iron Ore"] = true,
	["Adamantite Ore"] = true,
	["Eternium Ore"] = true,
	["Khroium Ore"] = true,
-- Types
	["Copper"] = true,
	["Tin"] = true,
	["Silver"] = true,
	["Iron"] = true,
	["Gold"] = true,
	["Mithril"] = true,
	["Dark Iron"] = true,
	["Truesilver"] = true,
	["Thorium"] = true,
	["Elementium"] = true,
	["Fel Iron"] = true,
	["Adamantite"] = true,
	["Eternium"] = true,
	["Khorium"] = true,
	["Incendicite"] = true,
	["Lesser Bloodstone"] = true,
	["Indurium"] = true,
	["Large Obsidian Shard"] = true,
	["Small Obsidian Shard"] = true,
	["Rich Thorium"] = true,
	["Rich Adamantite"] = true,
-- Quest Ore
	["Underlight Ore"] = true, -- copper and tin
	["Lead Ore"] = true,
	["Rethban Ore"] = true, --quest
	["Incendicite Ore"] = true,
	["Umbral Ore"] = true,
	["Elunite Ore"] = true,
	["Lesser Bloodstone Ore"] = true, --quest
	["Indurium Ore"] = true,
-- Nodes
	["Copper Vein"] = true,
	["Tin Vein"] = true,
	["Iron Deposit"] = true,
	["Silver Vein"] = true,
	["Gold Vein"] = true,
	["Mithril Deposit"] = true,
	["Ooze Covered Mithril Deposit"] = true,
	["Truesilver Deposit"] = true,
	["Ooze Covered Silver Vein"] = true,
	["Ooze Covered Gold Vein"] = true,
	["Ooze Covered Truesilver Deposit"] = true,
	["Ooze Covered Rich Thorium Vein"] = true,
	["Ooze Covered Thorium Vein"] = true,
	["Small Thorium Vein"] = true,
	["Rich Thorium Vein"] = true,
	["Hakkari Thorium Vein"] = true,
	["Dark Iron Deposit"] = true,
	["Lesser Bloodstone Deposit"] = true,
	["Incendicite Mineral Vein"] = true,
	["Indurium Mineral Vein"] = true,
	["Fel Iron Deposit"] = true,
	["Adamantite Deposit"] = true,
	["Rich Adamantite Deposit"] = true,
	["Khorium Vein"] = true,
	["Large Obsidian Chunk"] = true,
	["Small Obsidian Chunk"] = true,
	
} end)

BabbleOre:RegisterTranslations("koKR", function() return {
-- Ore
	["Copper Ore"] = "구리 광석",
	["Tin Ore"] = "주석 광석",
	["Silver Ore"] = "은 광석",
	["Iron Ore"] = "철 광석",
	["Gold Ore"] = "금 광석",
	["Mithril Ore"] = "미스릴 광석",
	["Dark Iron Ore"] = "검은무쇠 광석",
	["Truesilver Ore"] = "진은 광석",
	["Thorium Ore"] = "토륨 광석",
	["Elementium Ore"] = "엘레멘티움 광석",
	["Fel Iron Ore"] = "지옥무쇠 광석",
	["Adamantite Ore"] = "아다만티움 광석",
	["Eternium Ore"] = "이터늄 광석",
	["Khroium Ore"] = "코륨 광석",
-- Types
	["Copper"] = "구리",
	["Tin"] = "주석",
	["Silver"] = "은",
	["Iron"] = "철",
	["Gold"] = "금",
	["Mithril"] = "미스릴",
	["Dark Iron"] = "검은무쇠",
	["Truesilver"] = "진은",
	["Thorium"] = "토륨",
	["Elementium"] = "엘레멘티움",
	["Fel Iron"] = "지옥무쇠",
	["Adamantite"] = "아다만타이트",
	["Eternium"] = "이터늄",
	["Khorium"] = "코륨",
	["Incendicite"] = "발연",
	["Lesser Bloodstone"] = "저급 혈석",
	["Indurium"] = "인듀리움", -- 확인요망
	["Large Obsidian Shard"] = "큰 흑요석 파편",
	["Small Obsidian Shard"] = "작은 흑요석 파편",
	["Rich Thorium"] = "풍부한 토륨",
	["Rich Adamantite"] = "풍부한 아다만타이트",
	
-- Quest Ore
	["Underlight Ore"] = "미명 광석", -- copper and tin
	["Lead Ore"] = "가연 광석",
	["Rethban Ore"] = "레스밴 광석", --quest
	["Incendicite Ore"] = "발연 광석",
	["Umbral Ore"] = "움브랄 광석",
	["Elunite Ore"] = "엘루니트 광석",
	["Lesser Bloodstone Ore"] = "저급 혈석 광물", --quest
	["Indurium Ore"] = "인듀리움 광석",
-- Nodes
	["Copper Vein"] = "구리 광맥",
	["Tin Vein"] = "주석 광맥",
	["Iron Deposit"] = "철 광맥",
	["Silver Vein"] = "은 광맥",
	["Gold Vein"] = "금 광맥",
	["Mithril Deposit"] = "미스릴 광맥",
	["Ooze Covered Mithril Deposit"] = "진흙으로 덮인 미스릴 광맥",
	["Truesilver Deposit"] = "진은 광맥",
	["Ooze Covered Silver Vein"] = "진흙으로 덮인 은 광맥",
	["Ooze Covered Gold Vein"] = "진흙으로 덮인 금 광맥",
	["Ooze Covered Truesilver Deposit"] = "진흙으로 덮인 진은 광맥",
	["Ooze Covered Rich Thorium Vein"] = "진흙으로 덮인 풍부한 토륨 광맥",
	["Ooze Covered Thorium Vein"] = "진흙으로 덮인 토륨 광맥",
	["Small Thorium Vein"] = "작은 토륨 광맥",
	["Rich Thorium Vein"] = "풍부한 토륨 광맥",
	["Hakkari Thorium Vein"] = "학카리 토륨 광맥",
	["Dark Iron Deposit"] = "검은무쇠 광맥",
	["Lesser Bloodstone Deposit"] = "저급 혈석 광맥", -- 확인요망
	["Incendicite Mineral Vein"] = "발연 광석 광맥", -- 확인요망
	["Indurium Mineral Vein"] = "인듀리움 광맥",
	["Fel Iron Deposit"] = "지옥무쇠 광맥",
	["Adamantite Deposit"] = "아다만타이트 광맥",
	["Rich Adamantite Deposit"] = "풍부한 아다만타이트 광맥",
	["Khorium Vein"] = "코륨 광맥",
	["Large Obsidian Chunk"] = "큰 흑요석 덩어리",
	["Small Obsidian Chunk"] = "작은 흑요석 덩어리",
	
} end)

BabbleOre:RegisterTranslations("deDE", function() return {
-- Ore
	["Copper Ore"] = "Kupfererz",
	["Tin Ore"] = "Zinnerz",
	["Silver Ore"] = "Silbererz",
	["Iron Ore"] = "Eisenerz",
	["Gold Ore"] = "Golderz",
	["Mithril Ore"] = "Mithrilerz",
	["Dark Iron Ore"] = "Dunkeleisenerz",
	["Truesilver Ore"] = "Echtsilbererz",
	["Thorium Ore"] = "Thoriumerz",
	["Elementium Ore"] = "Elementiumerz",
	["Fel Iron Ore"] = "Teufelseisenerz",
	["Adamantite Ore"] = "Adamantiterz",
	["Eternium Ore"] = "Eterniumerz",
	["Khroium Ore"] = "Khoriumerz",
-- Types
	["Copper"] = "Kupfer",
	["Tin"] = "Zinn",
	["Silver"] = "Silber",
	["Iron"] = "Eisen",
	["Gold"] = "Gold",
	["Mithril"] = "Mithril",
	["Dark Iron"] = "Dunkeleisen",
	["Truesilver"] = "Echtsilber",
	["Thorium"] = "Thorium",
	["Elementium"] = "Elementium",
	["Fel Iron"] = "Teufelseisen",
	["Adamantite"] = "Adamantit",
	["Eternium"] = "Eternium",
	["Khorium"] = "Khorium",
	["Incendicite"] = "Pyrophor",
	["Lesser Bloodstone"] = "Geringer Blutstein",
	["Indurium"] = "Indurium",
	["Large Obsidian Shard"] = "Gro\195\159er Obsidiansplitter",
	["Small Obsidian Shard"] = "Kleiner Obsidiansplitter",
	["Rich Thorium"] = "Reiches Thorium",
	["Rich Adamantite"] = "Reiches Adamantium",

-- Quest Ore
--  ["Underlight Ore"] = "", -- copper and tin
	["Lead Ore"] = "Bleierz",
	["Rethban Ore"] = "Rethbanerz", --quest
	["Incendicite Ore"] = "Pyrophorerz",
	["Umbral Ore"] = "Umbralerz",
	["Elunite Ore"] = "Eluniterz",
	["Lesser Bloodstone Ore"] = "Geringes Blutsteinerz", --quest
	["Indurium Ore"] = "Induriumerz",
-- Nodes
	["Copper Vein"] = "Kupfervorkommen",
	["Tin Vein"] = "Zinnvorkommen",
	["Iron Deposit"] = "Eisenvorkommen",
	["Silver Vein"] = "Silbervorkommen",
	["Gold Vein"] = "Goldvorkommen",
	["Mithril Deposit"] = "Mithrilablagerung",
	["Ooze Covered Mithril Deposit"] = "Br\195\188hschlammbedeckte Mithrilablagerung",
	["Truesilver Deposit"] = "Echtsilberablagerung",
	["Ooze Covered Silver Vein"] = "Br\195\188hschlammbedecktes Silbervorkommen",
	["Ooze Covered Gold Vein"] = "Br\195\188hschlammbedecktes Goldvorkommen",
	["Ooze Covered Truesilver Deposit"] = "Br\195\188hschlammbedeckte Echtsilberablagerung",
	["Ooze Covered Rich Thorium Vein"] = "Br\195\188hschlammbedecktes reiches Thoriumvorkommen",
	["Ooze Covered Thorium Vein"] = "Br\195\188hschlammbedecktes Thoriumvorkommen",
	["Small Thorium Vein"] = "Kleines Thoriumvorkommen",
	["Rich Thorium Vein"] = "Reiches Thoriumvorkommen",
	["Hakkari Thorium Vein"] = "Hakkari-Thoriumvorkommen", -- check, esp. hyphen
	["Dark Iron Deposit"] = "Dunkeleisenablagerung",
	["Lesser Bloodstone Deposit"] = "Geringe Blutsteinablagerung",
	["Incendicite Mineral Vein"] = "Pyrophormineralvorkommen", --check
	["Indurium Mineral Vein"] = "Induriummineralvorkommen", --check
	["Fel Iron Deposit"] = "Teufelseisenvorkommen",
	["Adamantite Deposit"] = "Adamantitablagerung",
	["Rich Adamantite Deposit"] = "Reiche Adamantitablagerung",
	["Khorium Vein"] = "Khoriumvorkommen",
	["Large Obsidian Chunk"] = "Gro\195\159er Obsidianbrocken", --check
	["Small Obsidian Chunk"] = "Kleiner Obsidianbrocken", --check
	
} end)
BabbleOre:RegisterTranslations("zhTW", function () return {
--	["Copper Ore"] = true,
--	["Tin Ore"] = true,
--	["Silver Ore"] = true,
--	["Iron Ore"] = true,
--	["Gold Ore"] = true,
--	["Mithril Ore"] = true,
--	["Dark Iron Ore"] = true,
--	["Truesilver Ore"] = true,
--	["Thorium Ore"] = true,
--	["Elementium Ore"] = true,
--	["Fel Iron Ore"] = true,
--	["Adamantite Ore"] = true,
--	["Eternium Ore"] = true,
--	["Khroium Ore"] = true,
-- Quest Ore
--	["Underlight Ore"] = true, -- copper and tin
---	["Lead Ore"] = true,
--	["Rethban Ore"] = true, --quest
--	["Incendicite Ore"] = true,
--	["Umbral Ore"] = true,
--	["Elunite Ore"] = true,
--	["Lesser Bloodstone Ore"] = "저급 혈석 광물", --quest
--	["Indurium Ore"] = "인듀리움 광석",
	
	["Copper"] = "銅",
	["Tin"] = "錫",
	["Iron"] = "鐵",
	["Silver"] = "銀",
	["Gold"] = "金",
 	["Mithril"] = "?銀",
	["Truesilver"] = "?銀",
	["Thorium"] = "瑟銀",
	["Dark Iron"] = "黑鐵",
	--["Fel Iron"] = true,
	--["Adamantite"] = true,
	--["Rich Adamantite"] = true,
	--["Khorium"] = true,
	["Rich Thorium"] = "富瑟銀",
		
	["Copper Vein"] = "銅?",
	["Tin Vein"] = "錫?",
	["Iron Deposit"] = "鐵?石",
	["Silver Vein"] = "銀?",
	["Ooze Covered Silver Vein"] = "軟泥覆蓋的銀?",
	["Gold Vein"] = "金?",
	["Ooze Covered Gold Vein"] = "軟泥覆蓋的金?",
	["Mithril Deposit"] = "?銀?脈",
	["Ooze Covered Mithril Deposit"] = "軟泥覆蓋的?銀?脈",
	["Truesilver Deposit"] = "?銀?石",
	["Ooze Covered Truesilver Deposit"] = "軟泥覆蓋的?銀?石",
	["Small Thorium Vein"] = "瑟銀?",
	["Ooze Covered Thorium Vein"] = "軟泥覆蓋的瑟銀?",
	["Hakkari Thorium Vein"] = "哈?萊瑟銀?",
	["Rich Thorium Vein"] = "富瑟銀?",
	["Ooze Covered Rich Thorium Vein"] = "軟泥覆蓋的富瑟銀?",
	["Dark Iron Deposit"] = "黑鐵?脈",
--	["Fel Iron Deposit"] = true,
--	["Adamantite Deposit"] = true,
--	["Rich Adamantite Deposit"] = true,
--	["Khorium Vein"] = true,
	
} end)
BabbleOre:RegisterTranslations("esES", function() return {
-- Ore
	["Copper Ore"] = "Mena de cobre",
	["Tin Ore"] = "Mena de esta\195\177o",
	["Silver Ore"] = "Mena de plata",
	["Iron Ore"] = "Mena de hierro",
	["Gold Ore"] = "Mena de oro",
	["Mithril Ore"] = "Mena de mitril",
	["Dark Iron Ore"] = "Mena de hierro negro",
	["Truesilver Ore"] = "Mena de veraplata",
	["Thorium Ore"] = "Mena de torio",
	["Elementium Ore"] = "Mena de elementio",
	["Fel Iron Ore"] = "Mena de hierro vil",
	["Adamantite Ore"] = "Mena de adamantita",
	["Eternium Ore"] = "Mena de eternio",   
	["Khroium Ore"] = "Mena de korio",     
-- Types
	["Copper"] = "Cobre",
	["Tin"] = "Esta\195\177o",
	["Silver"] = "Plata",
	["Iron"] = "Hierro",
	["Gold"] = "Oro",
	["Mithril"] = "Mitril",
	["Dark Iron"] = "Hierro negro",
	["Truesilver"] = "Veraplata",
	["Thorium"] = "Torio",
	["Elementium"] = "Elementio",
	["Fel Iron"] = "Hierro vil",
	["Adamantite"] = "Adamantita",
	["Eternium"] = "Eternio",  
	["Khorium"] = "Khorio",    
	["Incendicite"] = "Incendicita",
	["Lesser Bloodstone"] = "Sangrita inferior",
	["Indurium"] = "Indurio",
	["Large Obsidian Shard"] = "Fragmento obsidiano grande",
	["Small Obsidian Shard"] = "Fragmento obsidiano peque\195\177o",
	["Rich Thorium"] = "Torio enriquecido",
	["Rich Adamantite"] = "Adamantita enriquecida",
	
-- Quest Ore
	["Underlight Ore"] = "Mena de subluz", -- copper and tin  
	["Lead Ore"] = "Mena de plomo",
	["Rethban Ore"] = "Mena de Rethban", --quest
	["Incendicite Ore"] = "Mena de incendicita",
	["Umbral Ore"] = "Mena umbr\195\173a",
	["Elunite Ore"] = "Mena de elunita",
	["Lesser Bloodstone Ore"] = "Mena de sangrita inferior", --quest
	["Indurium Ore"] = "Mena de indurio",
-- Nodes
	["Copper Vein"] = "Fil\195\179n de cobre",
	["Tin Vein"] = "Fil\195\179n de esta\195\177o",
	["Iron Deposit"] = "Dep\195\179sito de hierro",
	["Silver Vein"] = "Fil\195\179n de plata",
	["Gold Vein"] = "Fil\195\179n de oro",
	["Mithril Deposit"] = "Dep\195\179sito de mitril",
	["Ooze Covered Mithril Deposit"] = "Fil\195\179n de mitril cubierto de moco",  -- check
	["Truesilver Deposit"] = "Dep\195\179sito de veraplata",
	["Ooze Covered Silver Vein"] = "Fil\195\179n de plata cubierto de moco",  -- check
	["Ooze Covered Gold Vein"] = "Fil\195\179n de oro cubierto de moco",  -- check
	["Ooze Covered Truesilver Deposit"] = "Fil\195\179n de veraplata cubierta de moco",  -- check
	["Ooze Covered Rich Thorium Vein"] = "Fil\195\179n de torio enriquecido cubierto de moco",  -- check
	["Ooze Covered Thorium Vein"] = "Fil\195\179n de torio cubierto de moco",  -- check
	["Small Thorium Vein"] = "Fil\195\179n peque\195\177o de torio", -- check
	["Rich Thorium Vein"] = "Fil\195\179n de torio enriquecido",
	["Hakkari Thorium Vein"] = "Fil\195\179n de torio hakkari",  -- check
	["Dark Iron Deposit"] = "Dep\195\179sito de hierro negro",
	["Lesser Bloodstone Deposit"] = "Dep\195\179sito desangrita inferior",
	["Incendicite Mineral Vein"] = "Fil\195\179n de mineral de incendicita",   -- check
	["Indurium Mineral Vein"] = "Fil\195\179n de mineral de indurio",   -- check
	["Fel Iron Deposit"] = "Dep\195\179sito de hierro vil",
	["Adamantite Deposit"] = "Dep\195\179sito de adamantita",
	["Rich Adamantite Deposit"] = "Dep\195\179sito de adamantita enriquecida",
	["Khorium Vein"] = "Fil\195\179n de korio",  
	["Large Obsidian Chunk"] = "Pedazo obsidiano grande",  -- check
	["Small Obsidian Chunk"] = "Pedazo obsidiano peque\195\177o",  -- check
} end)
BabbleOre:RegisterTranslations("frFR", function() return {
-- Ore
	["Copper Ore"] = "Minerai de cuivre",
	["Tin Ore"] = "Minerai d'\195\169tain",
	["Silver Ore"] = "Minerai d'argent",
	["Iron Ore"] = "Minerai de fer",
	["Gold Ore"] = "Minerai d'or",
	["Mithril Ore"] = "Minerai de mithril",
	["Dark Iron Ore"] = "Minerai de sombrefer",
	["Truesilver Ore"] = "Minerai de vrai-argent",
	["Thorium Ore"] = "Minerai de thorium",
	["Elementium Ore"] = "Minerai d'\195\169l\195\169mentium",
	["Fel Iron Ore"] = "Minerai de gangrefer",
	["Adamantite Ore"] = "Minerai d'adamantite",
	["Eternium Ore"] = "Minerai d'\195\169ternium",
	["Khroium Ore"] = "Minerai de khorium",
-- Types
	["Copper"] = "Cuivre",
	["Tin"] = "Etain",
	["Silver"] = "Argent",
	["Iron"] = "Fer",
	["Gold"] = "Or",
	["Mithril"] = "Mithril",
	["Dark Iron"] = "Sombrefer",
	["Truesilver"] = "Vrai-argent",
	["Thorium"] = "Thorium",
	["Elementium"] = "El\195\169mentium",
	["Fel Iron"] = "Gangrefer",
	["Adamantite"] = "Adamantite",
	["Eternium"] = "Eternium",
	["Khorium"] = "Khorium",
	["Incendicite"] = "Incendicite",
	["Lesser Bloodstone"] = "Pierre de sang inf\195\169rieure",
	["Indurium"] = "Indurium",
	["Large Obsidian Shard"] = "Grand \195\169clat d'obsidienne",
	["Small Obsidian Shard"] = "Petit \195\169clat d'obsidienne",
	["Rich Thorium"] = "Thorium riche",
	["Rich Adamantite"] = "Adamantite riche",
	
-- Quest Ore
	--["Underlight Ore"] = true, -- copper and tin
	["Lead Ore"] = "Minerai de plomb",
	["Rethban Ore"] = "Minerai de rethban", --quest
	["Incendicite Ore"] = "Minerai d'incendicite",
	["Umbral Ore"] = "Minerai d'Umbral",
	["Elunite Ore"] = "Minerai d'Elunite",
	["Lesser Bloodstone Ore"] = "Minerai de pierre de sang inf\195\169rieur", --quest
	["Indurium Ore"] = "Minerai d'Indurium",
-- Nodes
	["Copper Vein"] = "Filon de cuivre",
	["Tin Vein"] = "Filon d'\195\169tain",
	["Iron Deposit"] = "Gisement de fer",
	["Silver Vein"] = "Filon d'argent",
	["Gold Vein"] = "Filon d'or",
	["Mithril Deposit"] = "Gisement de mithril",
	["Ooze Covered Mithril Deposit"] = "Gisement de mithril couvert de vase",
	["Truesilver Deposit"] = "Gisement de vrai-argent",
	["Ooze Covered Silver Vein"] = "Filon d'argent couvert de limon",
	["Ooze Covered Gold Vein"] = "Filon d'or couvert de limon",
	["Ooze Covered Truesilver Deposit"] = "Gisement de vrai-argent couvert de vase",
	["Ooze Covered Rich Thorium Vein"] = "Riche filon de thorium couvert de limon",
	["Ooze Covered Thorium Vein"] = "Filon de thorium couvert de limon",
	["Small Thorium Vein"] = "Petit filon de thorium",
	["Rich Thorium Vein"] = "Riche filon de thorium",
	["Hakkari Thorium Vein"] = "Filon de thorium Hakkari",
	["Dark Iron Deposit"] = "Gisement de sombrefer",
	["Lesser Bloodstone Deposit"] = "Gisement de pierre de sang inf\195\169rieure",
	["Incendicite Mineral Vein"] = "Filon d'incendicite",
	["Indurium Mineral Vein"] = "Filon d'indurium",
	["Fel Iron Deposit"] = "Gisement de gangrefer",
	["Adamantite Deposit"] = "Gisement d'adamantite",
	["Rich Adamantite Deposit"] = "Riche gisement d'adamantite",
	["Khorium Vein"] = "Filon de khorium",
	["Large Obsidian Chunk"] = "Grand morceau d'obsidienne",
	["Small Obsidian Chunk"] = "Petit morceau d'obsidienne",
	
} end)


BabbleOre:Debug()
BabbleOre:SetStrictness(true)

AceLibrary:Register(BabbleOre, MAJOR_VERSION, MINOR_VERSION)
BabbleOre = nil
